%global modname websocket
%global distname websocket-client
%global eggname websocket_client

Name:               python-websocket-client
Version:            0.9.0
Release:            2%{?dist}
Summary:            WebSocket client for python

Group:              Development/Libraries
License:            LGPLv2
URL:                http://pypi.python.org/pypi/websocket-client
Source0:            http://pypi.python.org/packages/source/w/%{distname}/%{distname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools

%description
python-websocket-client module is WebSocket client for python. This
provides the low level APIs for WebSocket. All APIs are the synchronous
functions.

python-websocket-client supports only hybi-13.

%prep
%setup -q -n %{distname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{distname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
mv %{buildroot}/%{_bindir}/wsdump.py \
    %{buildroot}/%{_bindir}/wsdump

%check
%{__python} setup.py test

%files
%doc README.rst LICENSE
%{python_sitelib}/%{modname}.py*
%{python_sitelib}/%{eggname}-%{version}*
%{_bindir}/wsdump

%changelog
* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 0.9.0-2
- Replaced websocket_client with %%{eggname} as per review by Palle Ravn
  https://bugzilla.redhat.com/show_bug.cgi?id=909644#c4
- Removed a few unnecessary newlines.

* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 0.9.0-1
- Latest upstream.

* Sat Feb 09 2013 Ralph Bean <rbean@redhat.com> - 0.8.0-1
- Initial package for Fedora
